curl --request GET \
--url https://api.truecall.com/associate-verifyimport requests
url = "https://api.truecall.com/associate-verify"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.truecall.com/associate-verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tc_req_id": "bnqtkot35h9bxgqi8ymva70x1easzqb7l7lt",
"tc_status": "success",
"tc_insights": {
"source_url": "<string>",
"ip": [
"<string>"
],
"city": "<string>",
"country": "<string>",
"country_iso": "<string>",
"timezone": 123,
"platform": "<string>",
"user_agent": "<string>",
"browser_name": "<string>",
"created_at": 123
}
}Associate & Verify
Combines the Associate and Verify APIs: Associates a specific TrueCall ID and dialed number combination with a customer’s phone number and runs a full verification on the TrueCall ID, validating all settings, including matching the consumer’s phone number to the TrueCall ID.
This stores the TrueCall ID to your account and allows all data to be accessed with Get Sessions and List Session.
Typically used in Dual Identity campaigns (where the Generator is also the End User).
Query Parameters
Campaign's API key
TrueCall session ID
Number dialed by consumer
Consumer's phone number
Session data to include in the response.
Available options are:
source_url | ip | city | country | country_iso | timezone | platform | user_agent | browser_name | created_at_ts | created_at_iso
Those can be combined to get specifically what's needed:
insights=source_url,city,country,created_at_iso
